from .IOs_fixtures import FixtureIOs, logging
logger = logging.getLogger(__name__)


# Create the test case class, that inherits from the preset TestFixture.
class TestSetIoResistanceValue(FixtureIOs):

    # This method will be executed just before
    # the test case core method execution.
    def setUp(self):
        logger.info("Setup test case")

    # This method will be executed just after
    # the test case core method execution.
    def tearDown(self):
        logger.info("Tear down test case")

    # Create the test case core method that holds the main test steps.
    def test_set_io_resistance_value(self):
        resistance = self.io_controller.io_set_resistance("IOChannel_2",
                                                          200)
        self.assertTrue(resistance)
